Package org.springframework.security.web.webauthn.api

# Interface AuthenticationExtensionsClientInputs

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `ImmutableAuthenticationExtensionsClientInputs`

public interface AuthenticationExtensionsClientInputs extends Serializable
AuthenticationExtensionsClientInputs is a dictionary containing the client extension input values for zero or more WebAuthn Extensions.

Since:
  6.4
See Also:
  - `PublicKeyCredentialCreationOptions.getExtensions()`

## Method Summary

Modifier and Type
Method
Description
`List<AuthenticationExtensionsClientInput>`
`getInputs()`
Gets all of the `AuthenticationExtensionsClientInput`.

## Method Details

### getInputs

List<AuthenticationExtensionsClientInput> getInputs()
Gets all of the `AuthenticationExtensionsClientInput`.

Returns:
  a non-null `List` of `AuthenticationExtensionsClientInput`.